
<div class="row">
  <div class="form-group py-2 col-sm-12 col-md-12 col-lg-12 .col-xl-12" style="float: left"  *ngFor="let field of formConfigData.items">
    <div>
      <div *ngIf=" field.type=== 'TextField' ">
        <label class="text-capitalize">{{field.label}}</label>
        <input type="text" class="form-control" placeholder="Please Enter Text " name=field.name
               [(ngModel)]="formConfigOutputData[field.name]" required>
      </div>

      <div *ngIf=" field.type==='password' ">
        <label class="text-capitalize">{{field.label}}<span style="color:red">*</span></label>
        <input type="password" class="form-control" placeholder="Please Enter Password" name=field.label
               [(ngModel)]="formConfigOutputData[field.name]" required>
      </div>
    </div>
    <div *ngIf=" field.type==='DropDown' ">
      <div class="text-capitalize">{{field.label}}</div>
      <select [(ngModel)]="formConfigOutputData[field.name]" id="category" class="form-control">
        <option  *ngFor="let value of field.values">{{value}}</option>
      </select>
    </div>

    <div *ngIf="field.type==='textarea' ">
      <div class="form-group">
        <label class="text-capitalize">{{field.label}}</label>
        <textarea class="form-control" rows="3" [(ngModel)]="formConfigOutputData[field.name]"  ></textarea>
      </div>
    </div>
  </div>


  <div >
    <button class='btn btn-primary' (click)="submitConfigDetails()">Submit</button>
  </div>


</div>
